Cyberduck Mountain Duck CLI

#3811 closed defect (fixed)

ConcurrentModificationException downloading folder

Reported by: rees.brandon@… Owned by: dkocher
Priority: high Milestone: 3.3
Component: core Version: 3.3b4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I am running Snow Leopard on a Macbook. I have the most recent version of Cyberduck. I am able to connect to the ftp and see a file list. My downloads default to the desktop. When I attempt to download a folder, there is no progressive status in the bottom left corner of the browser window, but an empty folder with the correct title appears on the desktop. Please help.

Thank you, Brandon Rees

Change History (9)

comment:1 Changed on Nov 2, 2009 at 11:17:14 AM by scarlac@…

I have the same issue. Dragging a folder from Cyberduck to a Finder window gives me the correct folder, but only containing another empty folder. I tried with another folder without subdirs and then I just get an empty folder with the right name. Basically I cannot use Cyberduck to manage my FTP sites at all with this version...

Best regards Seph

comment:2 Changed on Nov 3, 2009 at 8:41:24 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:3 Changed on Nov 5, 2009 at 8:02:42 PM by astitchman@…

So far I've found that if I want to download the contents of the folder, I have to click Resume on the transfers window once for each file in it. If there are nested files, I have to click resume for each folder, then for each file inside those folders again.

Console output is:

09-11-05 1:00:35 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] 2009-11-05 13:00:35,611 [pool-1-thread-3] ERROR ch.cyberduck.core.ftp.FTPPath - No compatible file listing method found 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] Exception in thread "pool-1-thread-3" java.util.ConcurrentModificationException 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at java.util.AbstractList$Itr.checkForComodification(AbstractList.java:372) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at java.util.AbstractList$Itr.next(AbstractList.java:343) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at ch.cyberduck.core.Transfer.transfer(Transfer.java:448) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at ch.cyberduck.core.Transfer.transfer(Transfer.java:516) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at ch.cyberduck.core.Transfer.start(Transfer.java:601) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at ch.cyberduck.ui.cocoa.CDTransferController$3.run(CDTransferController.java:606) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:78) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) 09-11-05 1:00:41 PM [0x0-0x84e84e].ch.sudo.cyberduck[29042] at java.lang.Thread.run(Thread.java:637)

comment:4 Changed on Nov 6, 2009 at 10:49:23 AM by dkocher

  • Milestone changed from 3.5 to 3.3
  • Resolution set to worksforme
  • Status changed from new to closed

Should be fixed in the latest nightly build.

comment:5 Changed on Nov 6, 2009 at 7:03:10 PM by astitchman@…

In the latest nightly build, this problem still exists for me. This system is not allowing me to change the status of this problem, but it HAS NOT BEEN FIXED for me. Console output:

09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] Exception in thread "pool-1-thread-2" java.util.ConcurrentModificationException 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.AbstractList$Itr.checkForComodification(AbstractList.java:372) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.AbstractList$Itr.next(AbstractList.java:343) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.prepare(Transfer.java:546) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.transfer(Transfer.java:507) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.start(Transfer.java:604) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.ui.cocoa.CDTransferController$3.run(CDTransferController.java:606) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:78) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) 09-11-06 11:58:57 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.lang.Thread.run(Thread.java:637)

And after pressing resume twice the console says:

09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] Exception in thread "pool-1-thread-4" java.util.ConcurrentModificationException 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.AbstractList$Itr.checkForComodification(AbstractList.java:372) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.AbstractList$Itr.next(AbstractList.java:343) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.prepare(Transfer.java:546) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.transfer(Transfer.java:507) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.start(Transfer.java:604) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.ui.cocoa.CDTransferController$3.run(CDTransferController.java:606) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:78) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) 09-11-06 11:59:09 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.lang.Thread.run(Thread.java:637) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] Exception in thread "pool-1-thread-3" java.util.ConcurrentModificationException 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.AbstractList$Itr.checkForComodification(AbstractList.java:372) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.AbstractList$Itr.next(AbstractList.java:343) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.prepare(Transfer.java:546) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.transfer(Transfer.java:507) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.core.Transfer.start(Transfer.java:604) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.ui.cocoa.CDTransferController$3.run(CDTransferController.java:606) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:78) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) 09-11-06 11:59:11 AM [0x0-0x8e18e1].ch.sudo.cyberduck[30063] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)

comment:6 Changed on Nov 6, 2009 at 10:46:00 PM by dkocher

  • Priority changed from normal to high
  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:7 Changed on Nov 6, 2009 at 10:47:26 PM by dkocher

  • Summary changed from Cyberduck places empty folder on desktop... to ConcurrentModificationException downloading folder

comment:8 Changed on Nov 8, 2009 at 12:14:05 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r5543. Please test the latest nightly build available shortly. Thanks for your feedback about this issue!

comment:9 Changed on Nov 8, 2009 at 12:28:52 AM by astitchman@…

Thank you very much for the great program, it's working fine now. I'd really missed being able to work with Cyberduck.

Note: See TracTickets for help on using tickets.